package org.kne.cloud.network.tun;
 /**
     * Windows API 异常
     */
    public class WindowsAPIException extends RuntimeException {
        /**
	 * 
	 */
	private static final long serialVersionUID = -8395315684612977860L;
		private final int errorCode;
        
        public WindowsAPIException(String message, int errorCode) {
            super(message + " (Error code: " + errorCode + ")");
            this.errorCode = errorCode;
        }
        
        public WindowsAPIException(String message) {
			super(message);
            this.errorCode = 0;
		}

		public int getErrorCode() {
            return errorCode;
        }
    }
    